<?php


define('MTOP',1);
require_once 'config.php'; // $id_shop / $hash
require_once ('../system/connect.php'); //ConnectDB
require_once ('../system/core.php'); 
require_once ('../system/function.php'); 
require_once ('head.php'); 


$error=FALSE;

if(isset($_POST['submit'])){

if(empty($_POST['url']) || empty($_POST['name']) || empty($_POST['days'])){
$error='Похоже вы что-то пропустили...';
}else{

$url=(string)$_POST['url'];
$ilu=mb_strlen($url);
if($ilu<11 || $ilu>50){
$error='Предельная длина URL 11-50';
}else{

$url=mysql_real_escape_string(htmlspecialchars($url));

$name=(string)$_POST['name'];
$iln=mb_strlen($name);
if($iln<3 || $iln>32){
$error='Предельная длина названия 3-32';
}else{

$name=mysql_real_escape_string(htmlspecialchars($name));

$days=abs((int)$_POST['days']);

if($days<0 || $days>$ism){
$error='Предельное количество дней 1-'.$ism.'</div>';
}else{


if($days <= 5){  $summa = 5;  }
elseif($days > 6 && $days <= 10){  $summa = 4; }
elseif($days >= 11 && $days <= 20){  $summa = 3; }
elseif($days >= 21 && $days <= 30){  $summa = 2; }
elseif($days >= 31 && $days <= 40){  $summa = 1; }
elseif($days >= 41 && $days <= 60){   $summa = 0.50;}


$comm='Заказ рекламы'; //комментарий к платежу
$comm.=' | '.$url;
$comm.=' | '.$name;
$comm.=' | '.$days.' дн.';

$sql="INSERT INTO `worldkassa` SET `url`='$url', `name`='$name'";

if(!empty($_POST['color'])){
$color=mysql_real_escape_string(htmlspecialchars((string)$_POST['color']));
$sql.=",`color`='#$color'"; $summa+=$isc; $comm.=' '.$color;
};

if($error==FALSE){//error

if(isset($_POST['bold'])){ $sql.=',`bold`=1'; $summa+=$isb; $comm.=' bold'; };

if(isset($_POST['italic'])){ $sql.=',`italic`=1'; $summa+=$isi; $comm.=' italic'; };

$summa*=$days;

$sql.=',`summa`='.$summa;
$sql.=',`days`='.$days;

$data=file_get_contents('http://worldkassa.ru/user/oplata.php?id_shop='.$id_shop.'&summa='.$summa.'&hash='.$hash.'&desc='.urlencode($comm));

if(is_numeric($data)){//data
$sql.=",`id_bill`='$data'";

mysql_query($sql)or die(mysql_error());
header("Location: http://worldkassa.ru/user/oplata.php?uniq=".$data);
exit;

}else{//data
$error='Сбой: '.$data;
};//data

};//error
};//days
};//name
};//url
};//empty
};//submit

//


if($error){
echo'<div class="error"> '.$error.' </div>';
}elseif(isset($_REQUEST['success'])){
echo'<div class="success"> Баланс успешно пополнен </div>';
}elseif(isset($_REQUEST['error'])){
echo'<div class="error"> Произошла ошибка при пополнении </div>';
};
echo '<script src="https://ioav.ru/jscolor.js"></script>';
echo'<div class="title2">Автоматическая покупка рекламы</div>

<div class="lt">С <u>09.04.2019</u> <b>ДЕЙСТВУЕТ АКЦИЯ "Получай больше - плати меньше"!!!</b><br /><br />
При заказе от <b>1</b> дня до <b>5</b> дней = <b>5</b> руб. / день <br />
При заказе от <b>6</b> дней до <b>10</b> дней = <b>4</b> руб. / день <br />
При заказе от <b>11</b> дней до <b>20</b> дней = <b>3</b> руб. / день <br />
При заказе от <b>21</b> дня до <b>30</b> дней = <b>2</b> руб. / день <br />
При заказе от <b>31</b> дня до <b>40</b> дней = <b>1</b> руб. / день <br />
При заказе от <b>41</b> дня до <b>60</b> дней = <b>0.50</b> руб. / день <br /><br />

<font color="blue">Цвет ссылки</font> <font color="green">(Бесплатно)</font><br />
<b>Жирность</b> <font color="green">(Бесплатно)</font><br />
<i>Курсивность</i> <font color="green">(Бесплатно)</font><br /><br />

Акция действует по <u>09.05.2019 23:59:59 (МСК)</u>

</div>
<div class="main"><form action="index.php" method="post">URL сайта[50]:<br/><input name="url" type="text" maxlength="50" value="http://"/><br/>

Название ссылки[32]:<br/><input name="name" type="text" maxlength="32"/><br/>

Количество дней[1-'.$ism.']:<br/><input name="days" type="number" min="1" max="60" value="7" id="sum_in_x" value="1" onclick="cena_x();" onkeyup="cena_x();"/><br/>

Цвет ссылки: <font color="green">(Бесплатно)</font><br/> 
#<input class="jscolor jscolor-active" name="color" style="width: 79px; background-image: none; background-color: rgb(212, 161, 114); color: rgb(0, 0, 0);" autocomplete="off" value="689d62"><br/>

<input name="bold" type="checkbox" value="1"/> <b>Жирность</b> <font color="green">(Бесплатно)</font><br/> 

<input name="italic" type="checkbox" value="1"/> <i>Курсивность</i> <font color="green">(Бесплатно)</font><br/>

<br/>
22 способа оплаты: WorldKassa<br/>
Стоимость в день: <b><span id="cena1">4</span></b> руб.<br/>
К оплате: <b><span id="cena">28</span></b> руб.<br/>

<br/>

<input type="submit" name="submit" value="Перейти к оплате"/>
</form></div>';



echo'<div class="info">
<div style="color:green">Правила предоставления рекламы:</div>

<b>1.</b> После покупки, Вы не сможете отказаться, возврат средств не подлежит!<br/>

<b>2. </b>Рекламы показываются до 6 ссылок поочередно, и показываются рандомно.<br/>

<b>3.</b> К рекламе не допускаются сайты нарушающие законодательство всех стран<br/>

<b>4.</b> Запрещены к показу сайты содержащие вирусы, фейки и тп.<br/>

<span style="color:red;font-weight:bold">(!)</span> <b>В случае нарушения данных правил, администрация вправе удалить рекламную ссылку без указания причин и возврата затраченных, денежных средств!</b>
</div>
';

?>

<script>
function vie(i){
    return document.getElementById(i);
}
function cena_x(){
    var sum_in_v=vie("sum_in_x").value.replace(",",".")*1;
    if (!sum_in_v>0){
        sum_in_v=0;
    }
	
	if(sum_in_v <= 5)  var sum= 5; 
if(sum_in_v >= 6 && sum_in_v <= 10)  var sum = 4; 
if(sum_in_v >= 11 && sum_in_v <= 20)  var sum = 3; 
if(sum_in_v >= 21 && sum_in_v <= 30)  var sum = 2; 
if(sum_in_v >= 31 && sum_in_v <= 40)  var sum = 1; 
if(sum_in_v >= 41 && sum_in_v <= 60)   var sum = 0.50; 
if(sum_in_v > 60)   var sum = 'Ошибка'; 

    var summa=sum * sum_in_v; 
    vie("cena").innerHTML=summa;   
	 vie("cena1").innerHTML=sum; 
}

</script>
<?

require_once ('foot.php'); 

?>